WP6FillStylePacket Class Reference

`#include <WP6FillStylePacket.h>`

Inheritance diagram for WP6FillStylePacket:

## Public Member Functions

| WP6FillStylePacket (librevenge::RVNGInputStream *input, WPXEncryption *encryption, int id, unsigned dataOffset, unsigned dataSize)
| ~WP6FillStylePacket () override
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption) override
void | parse (WP6Listener *) const override
const RGBSColor * | getFgColor () const
const RGBSColor * | getBgColor () const
Public Member Functions inherited from WP6PrefixDataPacket
| WP6PrefixDataPacket (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
virtual | ~WP6PrefixDataPacket ()
virtual std::shared_ptr< WP6SubDocument > | getSubDocument () const
unsigned | getDataSize () const

## Private Attributes

RGBSColor | m_fgColor
RGBSColor | m_bgColor

## Additional Inherited Members

Static Public Member Functions inherited from WP6PrefixDataPacket
static std::shared_ptr< WP6PrefixDataPacket > | constructPrefixDataPacket (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const WP6PrefixIndice &prefixIndice)
Protected Member Functions inherited from WP6PrefixDataPacket
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned dataOffset, unsigned dataSize)

## Constructor & Destructor Documentation

## WP6FillStylePacket()

WP6FillStylePacket::WP6FillStylePacket | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | int | id,
|  | unsigned | dataOffset,
|  | unsigned | dataSize )

## ~WP6FillStylePacket()

WP6FillStylePacket::~WP6FillStylePacket | ( |  | ) |

override

## Member Function Documentation

## _readContents()

void WP6FillStylePacket::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )

override virtual

Implements WP6PrefixDataPacket.

## getBgColor()

const RGBSColor * WP6FillStylePacket::getBgColor | ( |  | ) | const

inline

## getFgColor()

const RGBSColor * WP6FillStylePacket::getFgColor | ( |  | ) | const

inline

## parse()

void WP6FillStylePacket::parse | ( | WP6Listener * |  | ) | const

inline override virtual

Reimplemented from WP6PrefixDataPacket.

## Member Data Documentation

## m_bgColor

RGBSColor WP6FillStylePacket::m_bgColor

private

Referenced by _readContents(), getBgColor(), and WP6FillStylePacket().

## m_fgColor

RGBSColor WP6FillStylePacket::m_fgColor

private

Referenced by _readContents(), getFgColor(), and WP6FillStylePacket().

The documentation for this class was generated from the following files:

- WP6FillStylePacket.h
- WP6FillStylePacket.cpp